QGIS Application - Feature request #6944
Node tool unselects nodes after moving multiple-selected nodes
2013-01-03 08:29 PM - Alister Hood

Status: Open

Priority: Normal

Assignee:

Category: Digitising

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 16056
Description

(1) Edit a polygon with the node tool.

(2) Click on a node to select it. Drag to move it. It will remain selected.

(3) Click an edge to select the nodes at each end. Drag to move the nodes. As well as being moved, the two nodes will be unselected.
You would expect them to remain selected, consistent with (2).

(4) Control-click to select multiple nodes. Drag to move them. As well as being moved, all except one of the nodes will be unselected.
Again, you would expect them all to remain selected.

History

#1 - 2013-01-03 08:35 PM - Alister Hood

Also, another minor issue is that if you multiple-select two edges, the shared node is still selected, but it is drawn as if it is unselected.

#2 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No
